Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.table
Class StandardColumnGroup

    java.lang.Object
      net.sf.jasperreports.components.table.StandardBaseColumn
          net.sf.jasperreports.components.table.StandardColumnGroup

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, BaseColumn, ColumnGroup, JRChangeEventsSupport, JRCloneable

    public class StandardColumnGroup

extends StandardBaseColumn
implements ColumnGroup

Version:
  $Id: StandardColumnGroup.java 3602 2010-03-19 14:53:30Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_COLUMNS`

Fields inherited from class net.sf.jasperreports.components.table.StandardBaseColumn
`PROPERTY_COLUMN_FOOTER, PROPERTY_COLUMN_HEADER, PROPERTY_GROUP_FOOTERS, PROPERTY_GROUP_HEADERS, PROPERTY_PRINT_WHEN_EXPRESSION, PROPERTY_TABLE_FOOTER, PROPERTY_TABLE_HEADER, PROPERTY_WIDTH`

Constructor Summary
`StandardColumnGroup()`
`StandardColumnGroup(ColumnGroup columnGroup, ColumnFactory factory)`

Method Summary
`void` | `addColumn(BaseColumn column)`
`java.lang.Object` | `clone()`
`java.util.List<BaseColumn>` | `getColumns()`
`boolean` | `removeColumn(BaseColumn column)`
`void` | `setColumns(java.util.List<BaseColumn> columns)`
`
`<R> R`
` | `visitColumn(ColumnVisitor<R> visitor)`

Methods inherited from class net.sf.jasperreports.components.table.StandardBaseColumn
`addGroupFooter, addGroupHeader, findGroupCellIndex, getColumnFooter, getColumnHeader, getEventSupport, getGroupFooter, getGroupFooters, getGroupHeader, getGroupHeaders, getPrintWhenExpression, getTableFooter, getTableHeader, getWidth, removeGroupFooter, removeGroupHeader, setColumnFooter, setColumnHeader, setGroupFooter, setGroupFooters, setGroupHeader, setGroupHeaders, setPrintWhenExpression, setTableFooter, setTableHeader, setWidth`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.components.table.BaseColumn
`getColumnFooter, getColumnHeader, getGroupFooter, getGroupFooters, getGroupHeader, getGroupHeaders, getPrintWhenExpression, getTableFooter, getTableHeader, getWidth`

Field Detail

### PROPERTY_COLUMNS

    public static final java.lang.String PROPERTY_COLUMNS

See Also:
  Constant Field Values

Constructor Detail

### StandardColumnGroup

    public StandardColumnGroup()

### StandardColumnGroup

    public StandardColumnGroup(ColumnGroup columnGroup,
                               ColumnFactory factory)

Method Detail

### getColumns

    public java.util.List<BaseColumn> getColumns()

  Specified by:
    `getColumns` in interface `ColumnGroup`

### setColumns

    public void setColumns(java.util.List<BaseColumn> columns)

### addColumn

    public void addColumn(BaseColumn column)

### removeColumn

    public boolean removeColumn(BaseColumn column)

### visitColumn

    public <R> R visitColumn(ColumnVisitor<R> visitor)

  Specified by:
    `visitColumn` in interface `BaseColumn`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `StandardBaseColumn`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com